import java.io.PrintWriter;
import java.io.File;
import java.util.Scanner;

/**
 * Created by IntelliJ IDEA.
 * User: m09aya
 * Date: 30.09.2009
 * Time: 17:30:35
 * To change this template use File | Settings | File Templates.
 */

public class Kakoenibyd {
    public static void main (String [] args) throws Exception{

               Scanner s = new Scanner (new File ("qotient.in"));
           double a = s.nextInt();
           double  b= s.nextInt();
               PrintWriter p= new PrintWriter(new File("qotient.out"));
        if (b==0) {
              p.print("Na nol' delit' nel'zya!!!");
        }
        else {
              p.print(a/b);
    }

               p.close();
    }
}
